Bug 987441 - libcacard has bogus dependency on glusterfs
libcacard has bogus dependency on glusterfs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alon Levy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-23 07:39 EDT by Daniel Berrange
Modified: 2014-08-04 18:10 EDT (History)
12 users (show)

See Also:
Fixed In Version: qemu-1.6.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-24 02:43:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2013-07-23 07:39:31 EDT
Description of problem:
The libcacard library has picked up a dependancy on glusterfs libraries, which is clearly bogus

# ldd /usr/lib64/libcacard.so | grep libgf
	libgfapi.so.0 => /lib64/libgfapi.so.0 (0x0000003750200000)
	libgfrpc.so.0 => /lib64/libgfrpc.so.0 (0x000000374fe00000)
	libgfxdr.so.0 => /lib64/libgfxdr.so.0 (0x0000003750a00000)

# rpm -q libcacard --requires | grep libgf
libgfapi.so.0()(64bit)
libgfrpc.so.0()(64bit)
libgfxdr.so.0()(64bit)

# rpm -q --whatprovides 'libgfapi.so.0()(64bit)'
glusterfs-api-3.4.0-0.8.beta4.fc19.x86_64


The result of this is that installing the spice client RPMs pulls in the entire glusterfs RPM set.

Version-Release number of selected component (if applicable):
libcacard-1.4.2-4.fc19.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Attempt to uninstall glusterfs
2.
3.

Actual results:
Forces un-install of spice and libcacard too

Expected results:
Uninstall of glusterfs does not impact libcacard or spcie

Additional info:
Comment 1 Cole Robinson 2014-01-30 08:31:58 EST
Some discussion on fedora devel about this:

https://lists.fedoraproject.org/pipermail/devel/2014-January/194858.html
Comment 2 Cole Robinson 2014-03-19 15:25:57 EDT
Fixed in rawhide, I'll build for f20 as well
Comment 3 Fedora Update System 2014-03-19 17:28:36 EDT
qemu-1.6.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qemu-1.6.2-1.fc20
Comment 4 Fedora Update System 2014-03-21 05:30:11 EDT
Package qemu-1.6.2-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qemu-1.6.2-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-4134/qemu-1.6.2-1.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2014-03-24 02:43:47 EDT
qemu-1.6.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.